Mail::Message::Convert::HtmlFormatPS(3pm)

NAME
Mail::Message::Convert::HtmlFormatPS - Convert HTML into PostScript

INHERITANCE
 Mail::Message::Convert::HtmlFormatPS
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
  use Mail::Message::Convert::HtmlFormatPS;
  my $af = Mail::Message::Convert::HtmlFormatPS->new;

  my $postscript = $af->format($body);

DESCRIPTION
Translate an HTML/XHTML message body into a postscript body using HTML::FormatPS.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

$class->new(%options)
    %options which start with capitals are blindly passed to HTML::FormatPS. As of this writing, that package defines BottomMargin, FontFamily, FontScale, HorizontalMargin, Leading, LeftMargin, PageNo, PaperHeight, PaperSize, PaperWidth, RightMargin, TopMargin, and VerticalMargin. Improves base, see "Constructors" in Mail::Reporter

     -Option--Defined in            --Default
      fields  Mail::Message::Convert  <not used>

    fields => $name|$regex|\@names|\@regexes

  Attributes
Extends "Attributes" in Mail::Message::Convert.

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->format($body)
    Pass an html or xhtml encoded body, and a plain text body is returned. Characters are translated into Latin1.

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

SEE ALSO
This module is part of Mail-Message version 4.05, built on April 10, 2026. Website: http://perl.overmeer.net/mailbox/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.